<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m120419_143453_like extends CDbMigration
{
	public function up()
	{
        $this->createTable('{{likes}}', array(
            'id' => 'pk',
            'user_id' => 'integer',
            'content_id' => 'string',
            'createdate' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP',
        ));
        $this->createIndex('likes_user_id_idx', '{{likes}}', 'user_id');
        $this->createIndex('likes_content_id_idx', '{{likes}}', 'content_id');
	}

	public function down()
	{
        $this->dropTable('{{likes}}');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}