<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m151202_154900_imagetracker_tags extends CDbMigration
{
    public function safeUp()
    {
        $this->createTable('{{imagetracker_tags}}', array(
            'id' => 'pk',
            'image_id' => 'integer NOT NULL',
            'tag_id' => 'integer NOT NULL',
            'page_id' => 'integer NOT NULL',
            'user_id' => 'integer NOT NULL',
            'coord_x' => 'integer NOT NULL',
            'coord_y' => 'integer NOT NULL',
            'manual_width' => 'integer DEFAULT NULL',   
            'tagged_by' => 'integer',   // user-id
            'createtime' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP',
        ));
    }

    public function safeDown()
    {
        $this->dropTable('{{imagetracker_tags}}');
    }

}