<?php

class DefaultController extends Controller {

    /**
     * Lists all models.
     *
     * @return void
     */
    public function actionIndex()
    {
        $dataProvider = new CActiveDataProvider('User', array(
            'criteria' => array(
                'condition' => 'status>'.User::STATUS_BANED,
            ),
            'pagination' => array(
                'pageSize' => Yii::app()->controller->module->user_page_size,
            ),
        ));

        $this->render('/user/index', array(
            'dataProvider' => $dataProvider,
        ));

        $ClientMainConfiguration = require('../custom/config/client_main.php');
    }
}