<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 */
class m151202_171100_profiles_add_tagging extends CDbMigration
{
    public function safeUp()
    {
        $this->addColumn("{{profiles}}", "tagging_rights", "bool NOT NULL DEFAULT 0");
        $this->addColumn("{{profiles}}", "tagging_allowed", "bool NOT NULL DEFAULT 1");
    }

    public function safeDown()
    {
        $this->dropColumn("{{profiles}}", "tagging_rights");
        $this->dropColumn("{{profiles}}", "tagging_allowed");

        return true;
    }
}