(function($){
	
	$.fg.Lang.dictionary = {
		
		'ok': 'Ok',
		'cancel': 'Cancel',
		
		'toolbar.action-undo': 'Undo',
		'toolbar.action-redo': 'Redo',
		'toolbar.action-save': 'Save',
		'toolbar.action-save_as_template': 'Save as template',
		'toolbar.action-edit': 'Edit',
		'toolbar.action-editform': 'Edit Form',
		'toolbar.loader-text': 'loading...',
		
		'save_dialog_confirm': 'Do you really want to save current form?',
		'save_success': 'Current form successfully saved for publishing',
		'save_as_template_dialog_title': 'Type name of the new template',
		'save_as_template_success': 'Current form saved into your templates successfully',
		
		'load_template_confirm': 'Do you really want to use template "{name}"?',
		'load_template_success': 'Template "{name}" successfully loaded',
		
		'row-action-edit': 'edit',
		'row-action-delete': 'delete',
		'row-action-sort': 'sort',
		'row-action-delete-confirm': 'Do you really want to delete element?',
		
		'property.name': 'name',
		'property.label': 'label',
		'property.mandatory': 'mandatory',
		'property.info': 'info',
		'property.tooltip': 'tooltip',
		'property.validation': 'validation',
		'property.email': 'email',
		'property.database': 'database',
		'property.labelposition': 'labelposition',
		'property.preselected': 'preselected',
		'property.value': 'value',
		'property.thankyoupage': 'thankyoupage',
		
		'validation.number': 'Number (only numbers)',
		'validation.telephone': 'Telephone (only numbers and "+", "/" and space',
		'validation.socialsecurity': 'Social security number (only numbers, 10 digits, check last 6 digits for date in the past)',
		'validation.date': 'Date (format: DD.MM.YYYY)',
		'validation.time': 'Time (format: HH:MM)',
		'validation.email': 'Email',
		
		'element-editor.editor-title': 'Properties for "{element}"',
		'element-editor.element-has-no-properties': 'Element has no properties',
		
		'elements-categories.basic-elements': 'Basic Elements',
		'elements-categories.special-elements': 'Special Elements',
		'elements-categories.combined-elements': 'Combined Elements',
		'elements-categories.templates': 'Templates',
		'elements-categories.mytemplates': 'My Templates',
		
		'elements-library.no-items': 'Empty',
		
		'elements.form.title': 'Form',
		'elements.form.defaultName': 'My new form',
		
		'elements.space.title': 'Space',
		
		'elements.dropdown.title': 'Dropdown',
		
		'elements.radio.title': 'Radiobutton',
		
		'elements.checkbox.title': 'Checkbox',
		
		'elements.captcha.title': 'Captcha',
		'elements.captcha.defaultLabel': 'Enter code from image',
		
		'elements.text.title': 'Text',
		
		'elements.input.title': 'Input',
		'elements.input.defaultLabel': 'Text',
		
		'elements.textarea.title': 'Textarea',

		'elements.next/previous.title': '"Next" / "Previous"',
		'elements.next/previous.next-label': 'Next',
		'elements.next/previous.previous-label': 'Previous',
		
		'elements.reset.title': 'Reset',
		'elements.reset.text': 'Reset',
		
		'elements.submit.title': 'Submit',
		'elements.submit.text': 'Submit',

		'elements.mandatory_group.title': 'Mandatory Group',

		'elements.matrix.title': 'Matrix',
		'elements.matrix.questions': 'Questions',
		'elements.matrix.answers': 'Answers',
		'elements.matrix.property-title-display-name': 'Headline'
		
	}
	
})(jQuery);